﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Nested-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Creating Password Policies</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating Password Policies</h1>
        <p>A password policy is a collection of administrator-defined rules that define the criteria for creating and replacing passwords.&#160;User policies are applicable to the users present in IGA. And there is only a single user policy that can be created.</p>
        <p>Password policies provide you with different permutation and combination for setting up policies with strong password rules, which are not easy to break. You can create password policies using: Minimum number of Special characters, minimum upper characters, minimum lower characters, minimum numeric characters, and many more. Additionally, password policies can be created for different scopes such as: Application and User level.</p>
        <p>To create a password policy, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to <strong>Admin &gt; Identity Repository &gt; Password Policies. <br /></strong>The&#160;<strong>Password Policies</strong>&#160;page is displayed.<br /></p>
            </li>
            <li>
                <p>Select&#160;<strong>Action &gt; Create Password Policy</strong>. <br />The&#160;<strong>Create Password Policy</strong> page is displayed.</p>
            </li>
            <li>
                <p>Specify the parameters as specified in the following table.</p>
                <table class="TableStyle-Nested-Table" style="width: 100%;margin-left: 0;margin-right: auto;mc-table-style: url('../../Resources/TableStyles/Nested-Table.css');" cellspacing="0">
                    <col style="width: 19.6816%;" class="TableStyle-Nested-Table-Column-Column1" />
                    <col style="width: 80.2164%;" class="TableStyle-Nested-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Nested-Table-Head-Header1">
                            <th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Parameter Name</th>
                            <th class="TableStyle-Nested-Table-HeadD-Column1-Header1">Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td class="TableStyle-Nested-Table-BodyD-Column1-Body1" colspan="2">
                                <p class="table-text">Password Policy</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Policy Name</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify a logical policy name. You can include names such as ApplicationPolicy&lt;SecuritySystemname&gt; to better identify the type of policy.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Policy Description</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify a detailed description of the policy. Additional details about the policy can be specified here.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Policy Scope</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Based on your requirements, select the policy scope. Two options are available (From Release v5.4.2 onwards) from which you can select the policy scope:</p>
                                <ul>
                                    <li>
                                        <p class="table-text"><strong>Application: </strong>Select the scope as Application if you want to attach the password policy to the security system.</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><b>User: </b>Select the scope as User if you want to attach the password policy at the user level.</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td class="TableStyle-Nested-Table-BodyD-Column1-Body1" colspan="2">
                                <p class="table-text">Custom Policy</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Regex</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">A regular expression is used to map the rules defined, which can be mapped when a password is auto-generated using the Change Password feature from ARS, when new accounts are created in endpoints (for example, Active Directory, AWS) and so on.&#160;For the auto-generate password feature, the Regular expression is used to auto-populate the newly generated automatic password in accordance with the Regex specified. Regex specified is given the priority 1 for mapping. If Regex is not specified then priority-2 is given for the password rules specified in the Change Password Policy rules given below.</p>
                                <p class="table-text">Specify a Regex, for example as: <strong>\^[a-z0-9_-]{3,16}\</strong>. (This is just a sample of Regex.)</p>
                                <p class="table-text">If the Regex is "<strong>^[a-zA-Z0-9]{6,14}</strong>", it'll&#160;generate a random password containing lowercase letters(a-z),uppercase letters(A-Z) with password length between 6 and 14. Usage of upper, lower case characters and special characters are mandatory.Regex doesn't allow consecutive repeating characters.</p>
                                <p style="margin-left: 0.0px;text-align: left;" class="table-text">Another example:&#160;(<strong>?=.*\[a-z])(?=.*d)(?=.*\[@#%])(?=.*\[A-Z]).\{6,16}</strong>)&#160;</p>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">(?=.*[a-z]) &#160; : This indicates the presence of at least one lowercase letter.<br />(?=.*\d): This indicates the presence of at least one digit i.e. 0-9<br />(?=.*[@#%]: This indicates the presence of at least one special character.<br />((?=.*[A-Z]): This indicates the presence of at least one capital letter.<br />{6,16}: This limits the length of password from minimum 6 letters to maximum 16 letters.<br />$ should not be used in password policy.&#160;</p>
                                </div>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Maximum Repeated Characters</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify the maximum number of repeated characters allowed in the password.</p>
                                <p class="table-text">For example, if maximum repeated characters is given as 2 and password is given as jooohnsmith123 then it is not accepted as 'o' is entered for more than 3 characters, which is set as 2 in this case.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Minimum Numeric Characters</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify&#160;the minimum number of numeric characters to be specified in the password.</p>
                                <p class="table-text">For example, if minimum numeric characters configured is 1 and if the password specified is 'johnsmith' then the password is not accepted as it does not have any numeric characters, which in this case is set as 1.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Minimum Special Characters</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify&#160;the minimum number of special characters to be specified in the password.</p>
                                <p class="table-text">For example, if minimum special characters configured is 1 and if the password specified is 'johnsmith' then the password is not accepted as it does not have any special characters, which in this case is set as 1. The correct password with special characters can be for example johnsmith*.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Minimum Alpha Numeric Characters</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify&#160;the minimum number of alphanumeric characters to be specified in the password.</p>
                                <p class="table-text">For example, if minimum alphanumeric characters specified is 8 and if the password specified is 'john12' then the password is not accepted as it is short of 2 characters in this case with the configured value of 8 characters.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Minimum Unique Characters</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify&#160;the minimum number of unique characters to be specified in the password. Unique characters do not take into consideration duplicate characters.</p>
                                <p class="table-text">For example, jooohnSmmith has duplicate 2 characters of o and 1 duplicate character of m. Let's say the minimum unique characters are specified as 8 and if jooohnSmmith is entered as a password the unique characters would be 9 in this example. The extra/duplicate 2 characters of o and 1 duplicate character of m are removed. The password for this example is not accepted as it is short of 1 character which is configured.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Minimum Alphabet Characters</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify&#160;the minimum number of alphabet characters that can be specified in the password. Less than the minimum number of alphabet characters are not accepted.&#160;</p>
                                <p class="table-text">For example, if minimum alphabet characters are specified as 7 and if password specified is john123 then the password is not accepted.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Minimum Uppercase Characters</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify&#160;the minimum number of uppercase characters that can be specified in the password. Less than the minimum number of uppercase characters is not accepted.&#160;</p>
                                <p class="table-text">For example, if minimum&#160;uppercase characters are specified as 2 and if password specified is John123 then the password is not accepted as only 1 Uppercase letter is specified in this case.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Minimum Lowercase Characters</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify the minimum number of lowercase characters that can be specified in the password. Less than the minimum number of&#160;lowercase characters are not accepted.&#160;</p>
                                <p class="table-text">For example, if minimum&#160;lowercase characters are specified as 2 and if password specified is JOHn123 then the password is not accepted as only 1&#160;lowercase letter is specified in this case.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">Disallow Last Password<p class="table-text"><br /></p></td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify&#160;the maximum number of previously-used passwords in IGA.</p>
                                <p class="table-text">IGA restricts the use of previously-used passwords while you reset the password. The previously-used passwords and the password change history are internally stored in the IGA database. If your new password is an exact match to any of the previously-used passwords, IGA disallows the usage of the same password and prompts you to use a different one with an appropriate message.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Use Blacklist Dictionary</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify&#160;whether&#160;dictionary that defines&#160;words that users cannot use as part of the passwords is enabled.</p>
                                <ul>
                                    <li>
                                        <p class="table-text"><strong>Yes: </strong>Enables dictionary</p>
                                    </li>
                                    <li>
                                        <p class="table-text"><strong>No: </strong>Disables dictionary</p>
                                    </li>
                                </ul>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">This dictionary is controlled by the <strong>blacklistdictionaryPath.statickeyword</strong> property.<br />For example,&#160;<strong>blacklistdictionaryPath.statickeywords</strong>=C:/saviynt/blacklist.txt</p>
                                </div>
                                <p class="table-text">A sample text file (<b>blacklist.txt</b>)&#160;containing the list of blacklisted words is shown below.</p>
                                <img src="../../Resources/Images/blacklist.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Blacklisted attributes</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify the user attributes&#160;that users cannot use as part of the passwords.</p>
                                <p class="table-text">For example, if a query&#160;$\{user.username} is used, then the user cannot use a username as a part of the password.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Minimum Age</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="auto-cursor-target">Specify the minimum duration set between two password changes for the account which restricts the user to change password multiple times in a specified duration. The duration can be set in hours.</p>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">This configuration is not applicable if the user uses auto-generated passwords.</p>
                                </div>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Regex Description</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify regex description.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Maximum Length</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="note">Specify the maximum number of characters that can be specified in the password. This includes all alphabets, numbers, and special characters.</p>
                                <p class="note">For example, if the maximum length is specified as 15 and if the password set is JohnSmith$009001 then it is not accepted.</p>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">The parameter is available for updating the existing password policy.</p>
                                </div>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Minimum Length</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <div class="content-wrapper">
                                    <p class="table-text">Specify the minimum characters to be used in the password. This includes all alphabets, numbers, and special characters.</p>
                                    <p class="table-text">For example, if the minimum length is specified as 10 and if the password set is JohnSmi9 then it is not accepted as it is less than the number of minimum characters.</p>
                                    <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                        <p class="note">The parameter is available for updating the existing password policy.</p>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Expire After (Days)</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Indicates the configured interval for&#160;password&#160;expiration.&#160;</p>
                                <p class="table-text">Configuration period is in days. You can enter only numeric values.</p>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">Password will not expire, if this value is set to zero.&#160;</p>
                                </div>
                                <p class="table-text">Out of the box (OOTB) controls to&#160;handle different password expiration scenarios are available from Release v5.5.2 onwards. This is an actionable control and the <strong>Password Expired</strong> action is configured in it.</p>
                                <ul>
                                    <li>
                                        <p class="table-text">To&#160;automate the password expiration process,&#160;schedule the&#160;<strong>RunAllAnalytics</strong>&#160;job.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">To expire password manually, run the analytics control without scheduling.</p>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td class="TableStyle-Nested-Table-BodyD-Column1-Body1" colspan="2">
                                <p class="table-text">Password Expiration</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Days to Notify Before Password Expire</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">You can notify users over email days before the password expires.&#160;</p>
                                <p class="table-text">OOTB controls are available along with email templates. Notification emails can be sent to both user and account passwords.&#160;(available from Release v5.5.2 onwards)</p>
                                <ul>
                                    <li>
                                        <p class="table-text">Specify a value in this field to send expiry notification email days before user passwords expire&#160;(including service account owners). The default value is set to 5.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Specify a value in the&#160;<b>Admin &gt; Global Configurations &gt; Misc &gt;&#160;Days to notify before account password expires field</b> to&#160;send expiry notification email days before account passwords expire&#160;(including service accounts).  &#160;(available from Release v5.5.2 onwards)</p>
                                    </li>
                                </ul>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">Schedule these controls daily to send notifications to each user as per configured number of days.</p>
                                </div>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td class="TableStyle-Nested-Table-BodyD-Column1-Body1" colspan="2">
                                <p class="table-text">Recent Saviynt Password</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Primary Identification Attributes</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">As an admin, you must set primary identification attributes of a user. It includes information like First name, Last name, username. This will be visible to a helpdesk too.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Secondary Identification Attributes</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">As an admin, you must set secondary identification attributes of a user. This will be visible for a helpdesk also.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Reset Password Notification</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify reason for changing password notification details.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                                <p class="table-text">Disallow Last Password</p>
                            </td>
                            <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify the maximum number of previously used passwords in IGA.</p>
                                <p class="table-text">IGA restricts the usage of previously used passwords while you reset the password. The previously used passwords and the password change history are stored in the IGA. If your new password is an exact match to any of the previously used passwords, IGA prompts you to use a different one with an appropriate message.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Nested-Table-Body-Body1">
                            <td class="TableStyle-Nested-Table-BodyA-Column1-Body1" colspan="2">
                                <p class="table-text">expirPolicy Rules</p>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">The <strong>Policy Rules</strong> section is supported till Release v5.2.x only. Post 5.3.0 later releases, the <strong>Policy Rules</strong>&#160;feature is deprecated and not displayed in the UI of <strong>Create Password Policy</strong> and <strong>Show Password Policy</strong> pages.&#160;</p>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
        </ol>
        <p style="margin-left: 0.0cm;">4. Click <strong>Create</strong>.<br />The <strong>Password Policy List</strong> page is displayed showing the newly created policy.</p>
    </body>
</html>